/organizations/{organizationId}/hierarchy/segments/{segmentKey}Update organization hierarchy shared segment
Updates a shared segment for an organization
Path Parameters
organizationIdstringrequired segmentKeystringrequired minLength: 1
Request Body required
Content-Type: application/json
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/organizations/{organizationId}/hierarchy/segments/{segmentKey}' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"sharedSegment": {
"fields": [
"string"
],
"levels": [
"string"
],
"segment": {
"filter": {
"operator": "and",
"groups": [
{
"operator": "and",
"fields": [
{
"path": "string",
"comparator": "exists"
}
]
}
]
},
"name": "string",
"hint": "string",
"type": "member"
}
}
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Additional properties are not allowed.
Response
{
"fields": [
"string"
],
"levels": [
"string"
],
"segment": {
"filter": {
"operator": "and",
"groups": [
{
"operator": "and",
"fields": [
{
"path": "string",
"comparator": "exists"
}
]
}
]
},
"name": "string",
"hint": "string",
"type": "member"
}
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}